Jquery中文网 www.jquerycn.cn
Jquery中文网 >  数据库  >  mysql  >  正文 libmysqlclient.so.15()(64bit) is needed by perl-DBD-MySQL-3.0007-2.el5.x86_64的解决

libmysqlclient.so.15()(64bit) is needed by perl-DBD-MySQL-3.0007-2.el5.x86_64的解决

发布时间:2015-09-18   编辑:www.jquerycn.cn
libmysqlclient.so.15()(64bit) is needed by perl-DBD-MySQL-3.0007-2.el5.x86_64的解决方法

系统环境:RHEL5.5(x86-64)
MySQL:mysql-5.1.50.tar.gz (源码包编译安装)

问题:安装perl-DBD-MySQL时,出现错误提示:libmysqlclient.so.15()(64bit) is needed by perl-DBD-MySQL-3.0007-2.el5.x86_64
原因分析:虽然mysql-5.1.50源码包编译安装过程中,生成了 libmysqlclient,但是其版本为libmysqlclient_r.so.16

安装系统盘中的mysql-server和mysql-devel 的rpm包,有肯能会解决上述问题,但有可能会使当前的mysql源码安装的环境造成影响,故需要采用其他方法。

采用: MySQL-shared-compat 的rpm包。

运行命令:#rpm -qp --provides MySQL-shared-compat-5.1.47-1.rhel5.x86_64.rpm
MySQL-shared
libmysqlclient.so.12()(64bit)
libmysqlclient.so.14()(64bit)
libmysqlclient.so.14(libmysqlclient_14)(64bit)
libmysqlclient.so.15()(64bit)
libmysqlclient.so.15(libmysqlclient_15)(64bit)
libmysqlclient.so.16()(64bit)
libmysqlclient.so.16(libmysqlclient_16)(64bit)
libmysqlclient_r.so.12()(64bit)
libmysqlclient_r.so.14()(64bit)
libmysqlclient_r.so.14(libmysqlclient_14)(64bit)
libmysqlclient_r.so.15()(64bit)
libmysqlclient_r.so.15(libmysqlclient_15)(64bit)
libmysqlclient_r.so.16()(64bit)
libmysqlclient_r.so.16(libmysqlclient_16)(64bit)
MySQL-shared-compat = 5.1.47-1.rhel5

从执行结果上看,此方法可以彻底解决关于类似 libmysqlclient.so 的问题。
不用出现一个不兼容问题,就去解决一个。

下载地址:http://dev.mysql.com/downloads/mysql/5.1.html
下载安装包名:MySQL-shared-compat-5.1.47-1.rhel5.x86_64
执行命令安装:#rpm -ivh MySQL-shared-compat-5.1.47-1.rhel5.x86_64
安装:perl-DBD-MySQL-3.0007-2.el5.x86_64.rpm
执行命令安装:rpm -ivh perl-DBD-MySQL-3.0007-2.el5.x86_64.rpm
一路无错,问题解决。

您可能感兴趣的文章:
libmysqlclient.so.15()(64bit) is needed by perl-DBD-MySQL-3.0007-2.el5.x86_64的解决
redhat 5.5 上使用xfs 文件系统
无法读取mysql库文件的故障排除
Centos中yum安装和卸载软件的方法
varnish 503和varnish 400错误的解决方法
修改mysql数据存放路径
shell脚本:MySQL监控软件mytop的安装
检查多台服务器初始密码是否修改的shell脚本
ubuntu下mysql配置
用于 centos6.2 优化的shell脚本

[关闭]